// ignore_for_file: constant_identifier_names

import 'package:flutter/material.dart';

class ColorConst {
  static const int _themeBgColor = 0xFF3469C1;

//  static const int _themeBgColor = 0xFF4C74F4;
  static const Color dividerColor = Color(0xffe5e5e5);
  static const MaterialColor themeBgColor = MaterialColor(
    _themeBgColor,
    <int, Color>{
      50: Color(0xFFE3F2FD),
      100: Color(0xFFBBDEFB),
      200: Color(0xFF90CAF9),
      300: Color(0xFF64B5F6),
      400: Color(0xFF42A5F5),
      500: Color(_themeBgColor),
      600: Color(0xFF1E88E5),
      700: Color(0xFF1976D2),
      800: Color(0xFF1565C0),
      900: Color(0xFF0D47A1),
    },
  );
  static const Color dark6Color = Color(0xff666666);
  static const Color dark9Color = Color(0xff999999);
  static const Color greyB2Color = Color(0xffb2b2b2);
  static const Color greyC2Color = Color(0xffc2c2c2);
  static const Color greyD2Color = Color(0xffd2d2d2);
  static const Color greyE2Color = Color(0xffe2e2e2);
  static const Color greyF2Color = Color(0xfff2f2f2);
  static const Color greyF8Color = Color(0xfff8f8f8);
  static const Color greyEFEFEFColor = Color(0xffEFEFEF);
  static const Color grayf5Color = Color(0xFFF5F5F5);
  static const Color whiteColor = Color(0xffFFFFFF);

  //static const Color aBgColor = Color(0x0a000000);
  static const Color mainBgMatchColor = Colors.white;
  static const Color tabBar_gb = themeBgColor;
  static const Color tabBar_tab = mainBgMatchColor;
  static const Color tabBar_tab_un = greyD2Color;

  static const Color main2Color = Color(0XFF2FA3EA);

  static const Color red1BgColor = Color(0xFFFB0000);
  static const Color red2BgColor = Color(0xFFEF5350);
  static const Color red3BgColor = Color(0xFFFFBEBA);
  static const Color red4BgColor = Color(0xFFFFDFDD);

  static const Color legendaryBgColor = Color(0xFFFCF0E8);
  static const Color orangeColor = Color(0xFFE0620D);
  static const Color orange1Color = Color(0xFFE98D5C);
  static const Color orange2Color = Color(0xFFFBBE96);
  static const Color greenColor = Color(0xFF54C169);
  static const Color green1Color = Color(0xFFCEECD2);
  static const Color blackColor = Color(0xFF000000);
  static const Color black2Color = Color(0xFF4F4F4F);

  static const Color yellowColor = Color(0xFFFCCA00);
  static const Color yellow1Color = Color(0xFFF4E7C2);

  static const Color blueColor = Color(_themeBgColor);
  static const Color blue1Color = Color(0xFF64B5F6);
  static const Color blue2Color = Color(0xFFCBDDFF);
  static const Color blue3Color = Color(0xFFE0EDFF);
  static const Color blue4Color = Color(0xFF1E88E5);
  static const Color blueBgColor = Color(0xFFE1EAFF);

  static const Color blueBg1Color = Color(0xFFCAD4FA);
  static const Color blueBg2Color = Color(0xFFE0E7FD);

  static const Color purpleColor = Color(0xFF591BB7);
}
